.\"	$NetBSD: qt.4,v 1.1 2003/08/31 11:29:05 ragge Exp $
.\"
.\" Copyright (c) 2003 Anders Magnusson (ragge@ludd.luth.se).
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 30, 2003
.Dt QT 4 vax
.Os
.Sh NAME
.Nm qt
.Nd
.Tn DEC DELQA-PLUS (DELQA-YM)
.Tn Q-bus
10 Mb/s Ethernet interface
.Sh SYNOPSIS
.Cd "qt0 at uba? csr 174440"
.Cd "qt1 at uba? csr 174460"
.Sh DESCRIPTION
The
.Nm
interface provides access to a 10 Mb/s Ethernet network through a
.Tn DEC DELQA-YM
.Tn Q-bus
controller.
.Pp
Each of the host's network addresses
is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the local
network.
.Sh DIAGNOSTICS
.Bl -diag
.It qt%d: chained packet.
A packet received from the network was longer than the allowed max length
and is therefore discarded.
This is usually because a host on the local network is behaving badly.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr inet 4 ,
.Xr netintro 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Bx 2.11 .
It was later ported to
.Nx 2.0 .
